routes/web.php
<?php

use App\Http\Controllers\AuthController;
use App\Http\Controllers\ClassRoomController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\GradeController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\StudentController;
use App\Http\Controllers\SubjectController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//> frontoffice
Route::get('/',[HomeController::class,'index'])->name('homepage.index');
Route::get('/student',[HomeController::class,'student'])->name('homepage.student');
Route::get('/student/{id}',[HomeController::class,'studentShow'])->name('homepage.student.show');

//> backoffice
Route::prefix("/dashboard")->middleware(['auth'])->group(function(){

    Route::get('/',[DashboardController::class,'index'])->name('dashboard.index');

    //> Core module
    Route::resource('classroom',ClassRoomController::class)->except('show');
    Route::resource('subject',SubjectController::class)->except('show');
    Route::resource('student',StudentController::class);
    Route::resource('grade',GradeController::class)->only(['create','store','update','edit']);

    Route::get("/logout",[AuthController::class,'logout'])->name('logout');
});

//> Auth
Route::middleware(['guest'])->group(function () {

    Route::get('/login', [AuthController::class, 'index'])->name('login');
    Route::post('/login', [AuthController::class, 'authenticate'])->name('login');
});

app/Models/ClassRoom.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ClassRoom extends Model
{
    use HasFactory;

    protected $fillable = ['name'];

    protected $table = 'classrooms';

    public function students()
    {
        return $this->hasMany(Student::class,'classroom_id','id');
    }
}

app/Http/Controllers/ClassRoomController.php
<?php

namespace App\Http\Controllers;

use App\Models\ClassRoom;
use Illuminate\Http\Request;

class ClassRoomController extends Controller
{
    public function index()
    {
        $data = ClassRoom::orderBy('name')->get();
        return view('backoffice.classroom.index',compact('data'));
    }

    public function create()
    {
        return view('backoffice.classroom.create');
    }

    public function store(Request $request)
    {
        $attr = $request->validate([
            'name' =>'required'
        ]);

        ClassRoom::create($attr);

        return redirect()->route('classroom.index')->with('msg','Data berhasil ditambahkan');
    }
    public function edit($id)
    {
        $data = ClassRoom::findOrFail($id);
        return view('backoffice.classroom.edit',compact('data'));
    }

    public function update($id,Request $request)
    {
        $data = ClassRoom::findOrFail($id);
        $attr = $request->validate([
            'name' =>'required'
        ]);

       $data->update($attr);

        return redirect()->route('classroom.index')->with('msg','Data berhasil diperbarui');
    }


    public function destroy($id)
    {
        ClassRoom::destroy($id);
        return redirect()->route('classroom.index')->with('msg','Data berhasil dihapus');
    }
}

resources/views/backoffice/classroom/create.blade.php
@extends('layouts.backoffice')
@section('title', 'Tambah Data')
@section('content')

    <div class="container-fluid p-4">
        <h4 class="mt-4">Tambah data</h4>

        <div class="container p-3">

            <form method="POST" action="{{ route('classroom.store') }}">
                @csrf
                <div class="mb-3">
                    <label for="kelass" class="form-label">Kelas</label>
                    <input type="text" name="name" autocomplete="off" class="form-control" id="exampleInputEmail1">
                    @error('name')
                        <small class="text-danger"> {{ $message }}</small>
                    @enderror
                </div>

                <button type="submit" class="btn btn-primary">Simpan</button>
            </form>
        </div>
    </div>
@endsection

resources/views/backoffice/classroom/edit.blade.php
@extends('layouts.backoffice')
@section('title', 'Edit Data')
@section('content')

    <div class="container-fluid p-4">
        <h4 class="mt-4">Edit data</h4>

        <div class="container p-3">

            <form method="POST" action="{{ route('classroom.update', $data->id) }}">
                @csrf
                @method('put')
                <div class="mb-3">
                    <label for="kelass" class="form-label">Kelas</label>
                    <input type="text" name="name" class="form-control text-uppercase" value="{{ $data->name }}"
                        id="exampleInputEmail1">
                    @error('name')
                        <small class="text-danger"> {{ $message }}</small>
                    @enderror
                </div>

                <button type="submit" class="btn btn-primary">Simpan</button>
            </form>
        </div>
    </div>
@endsection

resources/views/backoffice/classroom/index.blade.php
@extends('layouts.backoffice')
@section('title', 'Data Kelas')
@section('content')

    <div class="container-fluid p-4">
        <h4 class="mt-4">Data kelas</h4>
        @if (session()->has('msg'))
            
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            {{ session()->get('msg')}}
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
        @endif
        <div class="row justify-content-end my-3">
        
            <div class="col-lg-2">

                <a href="{{ route('classroom.create') }}" class="btn btn-primary"> <i class="fa fa-plus"></i> Tambah data</a>
            </div>
        </div>
        <table class="table">
            <thead>
                <tr>
                    <th scope="col" width="5%">#</th>
                    <th scope="col" width="80%">Kelas</th>
                    <th scope="col" width="15%" class="text-center">Aksi</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($data as $item)
                    <tr>
                        <th scope="row">{{ $loop->iteration }}</th>
                        <td>{{ $item->name }}</td>
                        <td class="text-center">
                            <a href="{{ route('classroom.edit',$item->id) }}" class="btn btn-sm btn-secondary text-uppercase"> <i class="fa fa-edit"></i></a>
                            
                            <form class="d-inline" action="{{ route('classroom.destroy',$item->id) }}" method="post">
                                @csrf
                                @method('delete')
                                <button class="btn btn-sm btn-danger"> <i class="fa fa-trash"></i></button>
                            </form>
                        </td>
                    </tr>
                @endforeach

            </tbody>
        </table>
    </div>
@endsection